#include <iostream>
using namespace std;

int main (){

long long N,M, redari;
cin>>N>>M;
if (N<=3){
if (N==1){ redari = M; }
if (N==2){ redari = 2*M; }
if (N==3){ redari = 2*N + 2*(M-2); }
}
else if (M<=3){
if (M==1){ redari = N; }
if (M==2){ redari = 2*N; }
if (M==3){ redari = 2*M + 2*(N-2); }
}
else{
redari = 2*M + 2*(N-2) + (M-2)*(N-2)/2; 
}

    cout<<redari;
}